#include <LM3S3748>
new running = true;
forward PORTBHandler(irq_no);

public PORTBHandler(irq_no){
	running = false;
}

main(){
	PinTypeGPIOOutput( PG2 , GPIO_STRENGTH_4MA );
	PinTypeGPIOInput( PB7 );
	GPIOPortIntRegister( GPIO_PORTB , "PORTBHandler" );
	GPIOPinIntEnable( PB7 , GPIO_FALLING_EDGE );

	GPIOWrite(PG2 , 1);
	while ( running ) { 
		wait_ms(2000);
		GPIOWrite(PG2 , ~GPIORead(PG2) & 0x1  );
	}
	GPIOWrite( PG2 , 0 );
}

