#if defined _lm3s3748_included
  #endinput
#endif
#define _lm3s3748_included
#pragma library LM3S3748

public const stock PA3  = ( 0x03 << 24);
public const stock PA6  = ( 0x06 << 24);
public const stock PA7  = ( 0x07 << 24);

public const stock PB2  = ( 0x12 << 24);
public const stock PB3  = ( 0x13 << 24);
public const stock PB5  = ( 0x15 << 24);
public const stock PB6  = ( 0x16 << 24);
public const stock PB7  = ( 0x17 << 24);

public const stock PC4  = ( 0x24 << 24);
public const stock PC5  = ( 0x25 << 24);
public const stock PC6  = ( 0x26 << 24);
public const stock PC7  = ( 0x27 << 24);

public const stock PD0  = ( 0x30 << 24);
public const stock PD1  = ( 0x31 << 24);
public const stock PD2  = ( 0x32 << 24);
public const stock PD3  = ( 0x33 << 24);
public const stock PD4  = ( 0x34 << 24);
public const stock PD5  = ( 0x35 << 24);
public const stock PD6  = ( 0x36 << 24);
public const stock PD7  = ( 0x37 << 24);

public const stock PE0  = ( 0x40 << 24);
public const stock PE1  = ( 0x41 << 24);
public const stock PE2  = ( 0x42 << 24);
public const stock PE3  = ( 0x43 << 24);
public const stock PE4  = ( 0x44 << 24);
public const stock PE5  = ( 0x45 << 24);
public const stock PE6  = ( 0x46 << 24);
public const stock PE7  = ( 0x47 << 24);

public const stock PF0  = ( 0x50 << 24);
public const stock PF1  = ( 0x51 << 24);
public const stock PF2  = ( 0x52 << 24);
public const stock PF3  = ( 0x53 << 24);
public const stock PF4  = ( 0x54 << 24);
public const stock PF5  = ( 0x55 << 24);
public const stock PF6  = ( 0x56 << 24);
public const stock PF7  = ( 0x57 << 24);

public const stock PG0  = ( 0x60 << 24);
public const stock PG1  = ( 0x61 << 24);
public const stock PG2  = ( 0x62 << 24);
public const stock PG3  = ( 0x63 << 24);
public const stock PG4  = ( 0x64 << 24);
public const stock PG5  = ( 0x65 << 24);
public const stock PG6  = ( 0x66 << 24);
public const stock PG7  = ( 0x67 << 24);

public const stock PH0  = ( 0x70 << 24);
public const stock PH1  = ( 0x71 << 24);

#define GPIO_PIN_TYPE_STD     0x00000008
#define GPIO_PIN_TYPE_STD_WPU 0x0000000A
#define GPIO_PIN_TYPE_STD_WPD 0x0000000C

#define GPIO_STRENGTH_2MA    0x00000001
#define GPIO_STRENGTH_4MA    0x00000002
#define GPIO_STRENGTH_8MA    0x00000004
#define GPIO_STRENGTH_8MA_SC 0x0000000C

#define PWM_GEN_0 0
#define PWM_GEN_1 1
#define PWM_GEN_2 2
#define PWM_GEN_3 3

#define GPIO_PORTA 0
#define GPIO_PORTB 1
#define GPIO_PORTC 2
#define GPIO_PORTD 3
#define GPIO_PORTE 4
#define GPIO_PORTF 5
#define GPIO_PORTG 6
#define GPIO_PORTH 7

#define GPIO_FALLING_EDGE   0x00000000
#define GPIO_RISING_EDGE    0x00000004
#define GPIO_BOTH_EDGES     0x00000001

native wait_ms( pause_ms );
native SysCtlClockGet( );

native PinTypeGPIOOutput( pf_code , ulStrength = GPIO_STRENGTH_2MA );
native PinTypeGPIOInput( pf_code , ulPinType = GPIO_PIN_TYPE_STD_WPU );
native GPIOWrite( pf_code , ucVal );
native GPIORead( pf_code );

native PinTypeAnalogIn( pf_code );
native ADCStart( );
native ADCRead( pf_code );

native PinTypePWMOut( pf_code );
native PWMGenPeriodSet( gen_no , period );
native PWMPulseWidthSet( pf_code , width );
native PWMStart( gen_no );

native SysTickIntEnable( const func_name[] );
native SysTickIntDisable( );

native GPIOPortIntRegister( port_no , const func_name[] );
native GPIOPinIntEnable( pf_code , irqType );
native GPIOPinIntDisable( pf_code );
