#include <LM3S3748>
new running = true;
forward GPIOHandler(irq_no);

public GPIOHandler(irq_no){
	printf("no = %x : " , irq_no );
	switch ( irq_no ) {
		case 0x180 : running = false;
		case 0x310 : printf("Up\n");
		case 0x320 : printf("Down\n");
		case 0x340 : printf("Right\n");
		case 0x380 : printf("Left\n");
	}
}

main(){
	PinTypeGPIOOutput( PG2 , GPIO_STRENGTH_4MA );
	PinTypeGPIOInput( PB7 );
	PinTypeGPIOInput( PD4 , GPIO_PIN_TYPE_STD );
	PinTypeGPIOInput( PD5 , GPIO_PIN_TYPE_STD );
	PinTypeGPIOInput( PD6 , GPIO_PIN_TYPE_STD );
	PinTypeGPIOInput( PD7 , GPIO_PIN_TYPE_STD );
	
	GPIOPinIntEnable( PB7 , GPIO_FALLING_EDGE );
	GPIOPinIntEnable( PD4 , GPIO_RISING_EDGE );
	GPIOPinIntEnable( PD5 , GPIO_RISING_EDGE );
	GPIOPinIntEnable( PD6 , GPIO_RISING_EDGE );
	GPIOPinIntEnable( PD7 , GPIO_RISING_EDGE );
	GPIOPortIntRegister( GPIO_PORTB , "GPIOHandler" );
	GPIOPortIntRegister( GPIO_PORTD , "GPIOHandler" );
	printf("irq test \r\n");

	GPIOWrite(PG2 , 1);
	while ( running ) { 
		GPIOWrite(PG2 , ~GPIORead(PG2) & 0x1  );
		wait_ms(100);
	}
	GPIOWrite(PG2 , 0);

	printf("bye \r\n");
}

