#ifndef _PAWN_LM3S3748_IO_H_
#define _PAWN_LM3S3748_IO_H_

#include "amx.h"

int amx_LM3S3748_IOInit(AMX *amx);
int amx_LM3S3748_IOCleanup(AMX *amx);
int SetPinFuncCode(AMX *amx, unsigned char pin_code , unsigned long func_code);

#define PinFuncDigitalIrq 0x80

#define PinFuncDigitalOut 0x100
#define PinFuncDigitalIn  0x200

#define PinFuncAnalogIn   0x400
#define PinFuncPWMOut     0x800

#define PORTA	0
#define PORTB	1
#define PORTC	2
#define PORTD	3
#define PORTE	4
#define PORTF	5
#define PORTG	6
#define PORTH	7

#endif /* endif _PAWN_LM3S3748_IO_H_ */
